Package org.eclipse.rdf4j.workbench.commands

## Class ContextsServlet

- java.lang.Object
- - org.eclipse.rdf4j.workbench.base.AbstractServlet
  - - org.eclipse.rdf4j.workbench.base.AbstractRepositoryServlet
    - - org.eclipse.rdf4j.workbench.base.TransformationServlet
      - - org.eclipse.rdf4j.workbench.base.TupleServlet
        - - org.eclipse.rdf4j.workbench.commands.ContextsServlet

- All Implemented Interfaces:
    `javax.servlet.Servlet`, `RepositoryServlet`

      public class ContextsServlet
      extends TupleServlet

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.workbench.base.TupleServlet

      `variables, xsl`

    - ### Fields inherited from class org.eclipse.rdf4j.workbench.base.TransformationServlet

      `CONTEXT, cookies, INFO, NON_VERIFYING_PARSER_CONFIG`

    - ### Fields inherited from class org.eclipse.rdf4j.workbench.base.AbstractRepositoryServlet

      `info, manager, MANAGER_PARAM, repository, REPOSITORY_PARAM, vf`

    - ### Fields inherited from class org.eclipse.rdf4j.workbench.base.AbstractServlet

      `ACCEPT, appConfig, APPLICATION_JAVASCRIPT, APPLICATION_SPARQL_RESULTS_XML, APPLICATION_XML, config, DEFAULT_JSONP_CALLBACK_PARAMETER, JSONP_CALLBACK_PARAMETER, JSONP_ENABLED, JSONP_VALIDATOR, log, MOZILLA, MSIE, SERVER_PASSWORD, SERVER_USER, SERVER_USER_PASSWORD, TEXT_HTML, TEXT_PLAIN, USER_AGENT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ContextsServlet()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `service​(TupleResultBuilder builder, RepositoryConnection con)` |

    - ### Methods inherited from class org.eclipse.rdf4j.workbench.base.TupleServlet

      `service, service`

    - ### Methods inherited from class org.eclipse.rdf4j.workbench.base.TransformationServlet

      `doPost, getCookieNames, init, service, service`

    - ### Methods inherited from class org.eclipse.rdf4j.workbench.base.AbstractRepositoryServlet

      `setRepository, setRepositoryInfo, setRepositoryManager`

    - ### Methods inherited from class org.eclipse.rdf4j.workbench.base.AbstractServlet

      `checkJSONP, destroy, getBooleanResultFormat, getJSONPResultFormat, getResultWriter, getServletConfig, getServletInfo, getTupleResultBuilder, getTupleResultFormat, service`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.Servlet

      `destroy, getServletConfig, getServletInfo, service`

- - ### Constructor Detail

    - #### ContextsServlet

          public ContextsServlet()

  - ### Method Detail

    - #### service

          protected void service​(TupleResultBuilder builder,
                                 RepositoryConnection con)
                          throws RepositoryException,
                                 QueryResultHandlerException

      Overrides:
        `service` in class `TupleServlet`
      Throws:
        `RepositoryException`
        `QueryResultHandlerException`